Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
leductan293

Lệnh cho text chèn nền bản vẽ

Các bài được khuyến nghị

Áp dụng cho đối tượng MTEXT nha bạn. Bấm Ctrl+1 hiện bảng Properties, để  thông số Background Mask về "yes" hoặc "no
nha.... nếu làm biếng nữa thì dùng tạm cái Lisp này (tui sưu tầm thôi) hihi

(defun C:vth (/ ss x ob1)

(vl-load-com)

(setq ss (ssget '((0 . "MTEXT"))))

(if ss

(mapcar '(lambda (x)

(setq ob1 (vlax-ename->vla-object x))

(if (= (vla-get-backgroundfill ob1) :vlax-true)

(vla-put-backgroundfill ob1 :vlax-false)

(vla-put-backgroundfill ob1 :vlax-true)

)

)

(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))

)
  )
  )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sẳn đây mấy anh cho hỏi làm cách nào để điều chỉnh kích thước của vùng Background? Vì nếu vùng Background quá lớn sẽ bị che luôn đường kích thức.

P/S: Em không muốn dời chữ số kích thước lên nhé vì vừa lâu vừa không thống nhất.

Cảm ơn mọi người trước.120226_untitled_1.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sẳn đây mấy anh cho hỏi làm cách nào để điều chỉnh kích thước của vùng Background? Vì nếu vùng Background quá lớn sẽ bị che luôn đường kích thức.

P/S: Em không muốn dời chữ số kích thước lên nhé vì vừa lâu vừa không thống nhất.

Cảm ơn mọi người trước.120226_untitled_1.jpg

Cho khoảng cách offset của text với đường kích lớn hơn. Chon trong Dimstyle ấy. Như thế không làm khoảng background nhỏ đi nhưng làm cho text xa đường kích thước. Sẽ giải quyết được vấn đề của bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×